Skip to main content
POST
/
generate
/
image
/
krea
/
krea-2
/
large
Krea 2 Large
curl --request POST \
  --url https://api.krea.ai/generate/image/krea/krea-2/large \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Scottish highlands, with lone bagpipers playing among stone ruins.",
  "aspect_ratio": "1:1",
  "resolution": "1K"
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.krea.ai/llms.txt

Use this file to discover all available pages before exploring further.

Pricing

Fixed API prices in USD.
K2 Billing TierPrice
Text to image$0.06
Style references$0.065
Moodboards$0.07
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
presetStylesstyles2026-06-19
imageStyleRefsimage_style_references2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
aspect_ratio
enum<string>
required

Aspect ratio. One of: 1:1, 4:3, 3:2, 16:9, 2.35:1, 4:5, 2:3, 9:16.

Available options:
1:1,
4:3,
3:2,
16:9,
2.35:1,
4:5,
2:3,
9:16
resolution
enum<string>
required

Resolution scale. One of: 1K.

Available options:
1K
seed
number | null
styles
object[]

Styles (typically LoRAs) to use for the generation

image_style_references
object[]

Image style references. (0 = no style influence, 1 = maximum). Default 0.5.

Maximum array length: 10
creativity
enum<string>
default:medium

Prompt interpretation strength.

Available options:
raw,
low,
medium,
high
moodboards
object[]

Moodboards to use for generation. Currently limited to one moodboard.

Maximum array length: 1

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required